| helics 3.6.1

Public Member Functions | List of all members
helics::RandomDropFilterOperation Class Reference

`#include <FilterOperations.hpp>`

Inheritance diagram for helics::RandomDropFilterOperation:

## Public Member Functions
virtual void | set (std::string_view property, double val) override
virtual void | setString (std::string_view property, std::string_view val) override
virtual double | getProperty (std::string_view property) override
virtual std::string | getString (std::string_view property) override
virtual std::shared_ptr< FilterOperator > | getOperator () override
Public Member Functions inherited from helics::FilterOperations
| FilterOperations (const FilterOperations &fo)=delete
| FilterOperations (FilterOperations &&fo)=delete
FilterOperations & | operator= (const FilterOperations &fo)=delete
FilterOperations & | operator= (FilterOperations &&fo)=delete

## Detailed Description

filter for randomly dropping a packet

## Member Function Documentation

## ◆ getOperator()

std::shared_ptr< FilterOperator > helics::RandomDropFilterOperation::getOperator | ( |  | ) |
| override virtual

retrieve the filter operator

Implements helics::FilterOperations.

## ◆ getProperty()

double helics::RandomDropFilterOperation::getProperty | ( | std::string_view | property | ) |
| override virtual

get a property from a filter

Parameters

  property | the name of the property of the filter to get

Reimplemented from helics::FilterOperations.

References helics::FilterOperations::getProperty().

## ◆ getString()

std::string helics::RandomDropFilterOperation::getString | ( | std::string_view | property | ) |
| override virtual

get a string property on a filter

Parameters

  property | the name of the property of the filter to get

Reimplemented from helics::FilterOperations.

References helics::FilterOperations::getString().

## ◆ set()

void helics::RandomDropFilterOperation::set | ( | std::string_view | property,
|  | double | val
| ) |  |
| override virtual

set a property on a filter

Parameters

  property | the name of the property of the filter to change
  val | the numerical value of the property

Reimplemented from helics::FilterOperations.

## ◆ setString()

void helics::RandomDropFilterOperation::setString | ( | std::string_view | property,
|  | std::string_view | val
| ) |  |
| override virtual

set a string property on a filter

Parameters

  property | the name of the property of the filter to change
  val | the numerical value of the property

Reimplemented from helics::FilterOperations.

The documentation for this class was generated from the following files:

- FilterOperations.hpp
- FilterOperations.cpp